| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataProvider::PipelineOptionInfo Struct Reference

Pipeline option info. More...

`#include <DataProviderPipeline.qc.dox.h>`

## Public Attributes
*code | debug_log
| a closure or call reference for debug logging
*code | error_log
| a closure or call reference for error logging
*code | info_log
| a closure or call reference for info logging
*string | name
| the name of the pipeline for logging purposes; if this key is not included, a generic name will be generated
*code | thread_callback
| a closure or call reference for setting thread-local data in new pipeline queue threads

## Detailed Description

Pipeline option info.

## Member Data Documentation

## ◆ debug_log

*code DataProvider::PipelineOptionInfo::debug_log

a closure or call reference for debug logging

it must take a single format string and then optional arguments corresponding to the placeholders in the format string

## ◆ error_log

*code DataProvider::PipelineOptionInfo::error_log

a closure or call reference for error logging

it must take a single format string and then optional arguments corresponding to the placeholders in the format string

## ◆ info_log

*code DataProvider::PipelineOptionInfo::info_log

a closure or call reference for info logging

it must take a single format string and then optional arguments corresponding to the placeholders in the format string